package J20250807.proxy.staticProxy;

/**
 * @author WanJl
 * @version 1.0
 * @title MyTest
 * @description
 * @create 2025/8/7
 */
public class MyTest {
    public static void main(String[] args) {
        //创建真实对象--房东
        Landlord landlord=new Landlord();
        //创建代理对象--中介
        HouseProxy proxy=new HouseProxy(landlord);
        //通过中介进行租房--实际调用的是代理类的方法
        proxy.rentHouse();
    }
}
